Bug 153998 - update security/snort to 2.9.0.3
Summary: update security/snort to 2.9.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-14 21:10 UTC by William Freeman
Modified: 2011-02-09 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (20.96 KB, patch)
2011-01-14 21:10 UTC, William Freeman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Freeman 2011-01-14 21:10:06 UTC
Attached is a unified diff to update the port for Snort to 2.9.0.3.  I have also spoken with clsung about taking over maintainership of the port so that it can be updated in sync with Sourcefire's release cycle in order to maintain a current status.

Fix: Only in ./snort: ._Makefile
Only in ./snort: ._distinfo
Only in ./snort: ._files
Only in ./snort: ._pkg-descr
Only in ./snort: ._pkg-plist
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-01-15 00:12:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Fix synopsis and assign.  Note that this is also a request for maintainership.
Comment 2 Michael Scheidell 2011-01-27 19:35:23 UTC
Bill:  glad to here someone wanting to take over snort.

I had a bug in about pre-processor rules ending up in (somewhat random) 
locations, between packages and options.

<http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153224>

if you need more info, let me know, I can try it here a couple of times.
(we are a snort certified integrator) and I maintain a couple of other 
ports in freebsd ports tree.

if you take over support for the port, you might also want to close (as OLD)
<http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139321>

one last thing:

I see you took support for snortsam out.  did you need us (at SECNAP) to 
try to figure out a snortsam 2.9* patch for snort? or is this just 
flogging a dead horse?

does that mean you will work on snort 2.9 inline :???/? //??

any help you need, let me know.

-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
ISN: 1259*1300
 >*| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * 2008-9 Hot Company Award Winner, World Executive Alliance
    * Five-Star Partner Program 2009, VARBusiness
    * Best in Email Security,2010: Network Products Guide
    * King of Spam Filters, SC Magazine 2008


______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________  
Comment 3 Michael Scheidell 2011-01-28 16:30:26 UTC
a couple problems with the port patches  submitted.
#1, its against 2.8.5.3.
to fix:  you really need to update your ports tree (portsnap fetch 
update?) and apply your patches against the current port 2.8.6.1.
#2, you put in PORTREVISION 2    .
Thats not how it works.  this is a combination number, 
portversion+portrevision
so, 2.8.5.3_1 does NOT need to become 2.9.0.3_2
(this is ONLY for 'hey, i missed something on 2.9.0.3 in freebsd, so, 
lets bump portrevision, or the ports committers see something that needs 
to change dependencies.  and you don't ALWAYS need to bump it.. only if 
you want to trigger automated upgrades for thousands of freebsd users.

the pkg_plist might be strange, due to the everchanging place the 
dynamicengine/rules go.

let me see if I can clean them up for you.
-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
ISN: 1259*1300
 >*| *SECNAP Network Security Corporation

    * Certified SNORT Integrator
    * 2008-9 Hot Company Award Winner, World Executive Alliance
    * Five-Star Partner Program 2009, VARBusiness
    * Best in Email Security,2010: Network Products Guide
    * King of Spam Filters, SC Magazine 2008

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.secnap.com/products/spammertrap/
______________________________________________________________________
Comment 4 dfilter service freebsd_committer 2011-02-09 06:50:14 UTC
clsung      2011-02-09 06:50:03 UTC

  FreeBSD ports repository

  Modified files:
    security/snort       Makefile distinfo pkg-plist 
    security/snort/files snort.sh.in 
  Removed files:
    security/snort/files pkg-message-dynamicplugin 
  Log:
  - Update to 2.9.0.3 [1]
  - pass maintainership to William Freeman <wfreeman_AT_sourcefire dot com>
  
  Note: This attached patch replaces the one in ports/153998.
        Also fixes the location of the dynamic libs/rules in ports/153224.
  PR:             ports/154514 [1], ports/153998 [2]
  Submitted by:   Michael Scheidell <scheidell_AT_secnap dot net>
  
  Revision  Changes    Path
  1.128     +107 -67   ports/security/snort/Makefile
  1.67      +4 -6      ports/security/snort/distinfo
  1.2       +0 -12     ports/security/snort/files/pkg-message-dynamicplugin (dead)
  1.6       +2 -1      ports/security/snort/files/snort.sh.in
  1.35      +27 -21    ports/security/snort/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Cheng-Lung Sung freebsd_committer 2011-02-09 06:50:32 UTC
State Changed
From-To: open->closed

Committed. Thank You.